This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1013325 - [abrt] dnf-0.4.1-1.git55e6369.fc20: rfree: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] dnf-0.4.1-1.git55e6369.fc20: rfree: Process /usr/bin/python2.7 was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:32a355d70fc9412a6a2f5955c1b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 05:40 EDT by Hapoofesgeli
Modified: 2015-06-29 08:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.83 KB, text/plain)
2013-09-29 05:40 EDT, Hapoofesgeli
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-29 05:40 EDT, Hapoofesgeli
no flags Details
File: core_backtrace (13.45 KB, text/plain)
2013-09-29 05:40 EDT, Hapoofesgeli
no flags Details
File: dso_list (10.86 KB, text/plain)
2013-09-29 05:40 EDT, Hapoofesgeli
no flags Details
File: environ (2.84 KB, text/plain)
2013-09-29 05:40 EDT, Hapoofesgeli
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-29 05:41 EDT, Hapoofesgeli
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-29 05:41 EDT, Hapoofesgeli
no flags Details
File: maps (49.56 KB, text/plain)
2013-09-29 05:42 EDT, Hapoofesgeli
no flags Details
File: open_fds (9.16 KB, text/plain)
2013-09-29 05:42 EDT, Hapoofesgeli
no flags Details
File: proc_pid_status (900 bytes, text/plain)
2013-09-29 05:42 EDT, Hapoofesgeli
no flags Details

  None (edit)
Description Hapoofesgeli 2013-09-29 05:40:09 EDT
Version-Release number of selected component:
dnf-0.4.1-1.git55e6369.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/dnf install scribus deja-dup vegastrike inkscape viewnior
crash_function: rfree
executable:     /usr/bin/python2.7
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 rfree at rpmmalloc.c:83
 #3 rpmfiFree at rpmfi.c:1063
 #4 rpmteSetFI at rpmte.c:577
 #5 rpmtsPrepare at transaction.c:1393
 #6 rpmtsRun at transaction.c:1477
 #7 rpmts_Run at rpmts-py.c:557
 #8 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
 #9 PyEval_CallObjectWithKeywords at /usr/src/debug/Python-2.7.5/Python/ceval.c:3967
 #10 methoddescr_call at /usr/src/debug/Python-2.7.5/Objects/descrobject.c:247
 #11 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
Comment 1 Hapoofesgeli 2013-09-29 05:40:19 EDT
Created attachment 804652 [details]
File: backtrace
Comment 2 Hapoofesgeli 2013-09-29 05:40:26 EDT
Created attachment 804653 [details]
File: cgroup
Comment 3 Hapoofesgeli 2013-09-29 05:40:36 EDT
Created attachment 804654 [details]
File: core_backtrace
Comment 4 Hapoofesgeli 2013-09-29 05:40:43 EDT
Created attachment 804655 [details]
File: dso_list
Comment 5 Hapoofesgeli 2013-09-29 05:40:58 EDT
Created attachment 804656 [details]
File: environ
Comment 6 Hapoofesgeli 2013-09-29 05:41:47 EDT
Created attachment 804657 [details]
File: exploitable
Comment 7 Hapoofesgeli 2013-09-29 05:41:54 EDT
Created attachment 804658 [details]
File: limits
Comment 8 Hapoofesgeli 2013-09-29 05:42:07 EDT
Created attachment 804659 [details]
File: maps
Comment 9 Hapoofesgeli 2013-09-29 05:42:13 EDT
Created attachment 804660 [details]
File: open_fds
Comment 10 Hapoofesgeli 2013-09-29 05:42:19 EDT
Created attachment 804661 [details]
File: proc_pid_status
Comment 11 Ales Kozumplik 2013-09-30 02:05:38 EDT
We run the RPM transaction via a Python call so the sigsegv below points to something in rpm.
Comment 12 Fedora End Of Life 2015-05-29 05:28:44 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 08:29:32 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.